#!/bin/sh

case $1 in
        --sdk-mod-ver)
                #Print SDK support version
                echo "1.0";
                ;;
        --name)
                #Print package name
                echo "ProxyServer";
                ;;
        --pkg-ver)
                #Print package version
                echo "1.0";
                ;;
        --vendor)
                #Print package vendor
                echo "Synology";
                ;;
        --post)
                /var/packages/ProxyServer/target/bin/squid -k reconfigure
                if [ $? -ne 0 ]; then
                        echo "`date` - ProxyServer: reload squid error" >> /var/packages/ProxyServer/target/squid/var/logs/error.log
                fi
                ;;
        *)
                echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
                ;;
esac
exit 0
