#!/bin/sh

case $1 in
        --sdk-mod-ver)
                #Print SDK support version
                echo "1.0";
                ;;
        --name)
                #Print package name
                echo "test";
                ;;
        --pkg-ver)
                #Print package version
                echo "1.0";
                ;;
        --vendor)
                #Print package vendor
                echo "Synology";
                ;;
        --post)
                PROXY_TOOL_PATH="/var/packages/ProxyServer/target/tools"
                if [ 1 -eq `grep wpad_enable /var/packages/ProxyServer/target/squid/etc/setting_syno.json | grep true -c` ]; then
                        WPAD_IFNAME=`cat /var/packages/ProxyServer/target/squid/etc/setting_syno.json  | grep wpad_interface | cut -d":" -f2 | tr -d ' ",'`
                        if [ $IFNAME == $WPAD_IFNAME ]; then
                                ${PROXY_TOOL_PATH}/synoproxywpad.sh --install $NEW_ADDRESS 
                        fi
                fi
                ;;
        --pre)
                ;;
        *)
                echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
                ;;
esac


